// $Id: swftools_soundmanager2.js,v 1.1.2.2 2010/04/09 22:20:06 stuartgreenfield Exp $

var PP_CONFIG = { // mp3page: Must be done like this!
flashVersion: 9, 
usePeakData: true,
useWaveformData: true,
useEQData: true,
useFavIcon: false,
useMovieStar: false 
}
Drupal.behaviors.swftools_soundmanager2 = function (context) {
  if (typeof soundManager != 'undefined') {
    soundManager.url = Drupal.settings['swftools_soundmanager2']['soundManager.url'];
    soundManager.debugMode = Drupal.settings['swftools_soundmanager2']['soundManager.debugMode'];
    soundManager.flashVersion = Drupal.settings['swftools_soundmanager2']['soundManager.flashVersion']=='8'?8:9;
    soundManager.useFlashBlock = Drupal.settings['swftools_soundmanager2']['soundManager.useFlashBlock'];
    soundManager.useFastPolling = Drupal.settings['swftools_soundmanager2']['soundManager.useFastPolling'];
    soundManager.useHighPerformance = Drupal.settings['swftools_soundmanager2']['soundManager.useHighPerformance'];

	if (typeof Drupal.settings['swftools_soundmanager2']['useMP3page'] != 'undefined') {
      // playNext toggle works, but all extra data is always loaded to late
	  pagePlayer.config.useWaveformData = Drupal.settings['swftools_soundmanager2']['pagePlayer.config.useWaveformData'];
      pagePlayer.config.useEQData = Drupal.settings['swftools_soundmanager2']['pagePlayer.config.useEQData'];
	  pagePlayer.config.usePeakData = Drupal.settings['swftools_soundmanager2']['pagePlayer.config.usePeakData'];
	  if (Drupal.settings['swftools_soundmanager2']['pagePlayer.config.useWaveformData'] === false && Drupal.settings['swftools_soundmanager2']['pagePlayer.config.useEQData'] === false) {
		$('div.spectrum-container').css("display", "none"); // remove if not used
	  }
	  if (Drupal.settings['swftools_soundmanager2']['pagePlayer.config.usePeakData'] === false) {
	    $('div.peak').css("display", "none"); // remove if not used
	  }
	  pagePlayer.config.playNext = Drupal.settings['swftools_soundmanager2']['pagePlayer.config.playNext'];
	}
	
    if (typeof Drupal.settings['swftools_soundmanager2']['useVisualisation'] != 'undefined') {
      threeSixtyPlayer.config.imageRoot = Drupal.settings['swftools_soundmanager2']['threeSixtyPlayer.config.imageRoot'];
      threeSixtyPlayer.config.showHMSTime = Drupal.settings['swftools_soundmanager2']['threeSixtyPlayer.config.showHMSTime'];
      threeSixtyPlayer.config.useWaveformData = Drupal.settings['swftools_soundmanager2']['threeSixtyPlayer.config.useWaveformData'];
      threeSixtyPlayer.config.useEQData = Drupal.settings['swftools_soundmanager2']['threeSixtyPlayer.config.useEQData'];
      threeSixtyPlayer.config.scaleFont = (navigator.userAgent.match(/msie/i)?false:true);

      soundManager.flash9Options.useWaveformData = Drupal.settings['swftools_soundmanager2']['soundManager.flash9Options.useWaveformData'];
      soundManager.flash9Options.useEQData = Drupal.settings['swftools_soundmanager2']['soundManager.flash9Options.useEQData'];
      soundManager.flash9Options.usePeakData = Drupal.settings['swftools_soundmanager2']['soundManager.flash9Options.usePeakData'];
    }
  
  };
};
